#define ORG .org
#define END .end
#define EQU .equ
#define DB  .db
#define DW  .dw
#define DS  .ds

#define SD_b2m
;#define RK86
;#define RK86_WW55
;#define FAT12_ON
#define FAT16_ON
;#define STD
;#define MX2
#define GAL

#ifdef GAL  ; Galaxy - SD
; Waits for a key press on the keyboard and returns the code of the pressed
; key in A (for most keys this means the ASCII code of the character printed
; on the key. Special keys return their own scan code).
gGETC  EQU 00cf5H ;
;g_putchr_rst_f: equ 0x0020    ; prints a character in A to the screen 
;at current cursor location.
gPUTC  EQU 00020H
;g_printstr_f: equ 0x0937    ; prints a string pointed by DE
gPRINT EQU 00937H

SD_DATA_PORT EQU 0C000H ;0C800H
SD_CONF_PORT EQU SD_DATA_PORT+1
START_ADDR   EQU 0F000H
BUF     EQU 04000H ;0C000h
BUFDIR  EQU BUF+0200h
CWD     EQU BUF+0400H
FATSEC  EQU BUF+0500H
#endif

#ifdef MX2  ; MX - SD_MX2
GETC  EQU 0f803H
PUTC  EQU 0f809H
PRINT EQU 0f818H
PRHEX EQU 0f815H
IfKeyPress EQU 0F81BH
SD_DATA_PORT EQU 0fff0H ;U3
SD_CONF_PORT EQU SD_DATA_PORT+1 ;0fff5H
START_ADDR   EQU 0D400H ;08000H ;0D400H
BUF     EQU 0E000H ;08800H ;0E000h
BUFDIR  EQU BUF+0200h
CWD     EQU BUF+0400H
FATSEC  EQU BUF+0500H
#endif


#ifdef STD  ; STD - SD_MX2
GETC  EQU 0C803H
PUTC  EQU 0C809H
PRINT EQU 0C818H
PRHEX EQU 0C815H
IfKeyPress EQU 0C81BH
SD_DATA_PORT EQU 0f010H
SD_CONF_PORT EQU SD_DATA_PORT+1
START_ADDR   EQU 0D000H
BUF     EQU 0e000h
BUFDIR  EQU BUF+0200h
CWD     EQU BUF+0400H
FATSEC  EQU BUF+0500H
#endif

#ifdef RK86
GETC  EQU 0F803H
PUTC  EQU 0F809H
PRINT EQU 0F818H
PRHEX EQU 0F815H
IfKeyPress EQU 0F81BH
SD_DATA_PORT EQU 0d000H
SD_CONF_PORT EQU SD_DATA_PORT+1 ;0d001H
SD_DATA_PORT_WW55 EQU 0a000H
;#define SD_ROM
#ifdef SD_ROM
START_ADDR   EQU 06000H
#else
START_ADDR   EQU 0f000H
#endif
BUF     EQU 06800h
BUFDIR  EQU BUF+0200h
CWD     EQU BUF+0400H
FATSEC  EQU BUF+0500H
#endif

ROOTSEC EQU FATSEC+4
DATASEC EQU ROOTSEC+4
ROOTLEN EQU DATASEC+4
ROOTLNS EQU ROOTLEN+2
SECINBL EQU ROOTLNS+2
FAT_NXT EQU SECINBL+1
BUFSEC  EQU FAT_NXT+3
BLKLEN  EQU BUFSEC+4
BLKSEC  EQU BLKLEN+1
BNEXT   EQU BLKSEC+4
FBPOS   EQU BNEXT+4
FBLEN   EQU FBPOS+2
DIRREC  EQU FBLEN+2
CWDBLK  EQU DIRREC+1
LINEBUF EQU CWDBLK+4
